/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { RelativeStrengthIndexIndicatorStrategy } from "./RelativeStrengthIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var RelativeStrengthIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(RelativeStrengthIndexIndicator, _super);
    function RelativeStrengthIndexIndicator() {
        var _this = _super.call(this) || this;
        _this.o8 = 1;
        return _this;
    }
    RelativeStrengthIndexIndicator.prototype.get_p0 = function () {
        return new RelativeStrengthIndexIndicatorStrategy();
    };
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    RelativeStrengthIndexIndicator.prototype.get_qd = function () {
        return RelativeStrengthIndexIndicator.$;
    };
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RelativeStrengthIndexIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(RelativeStrengthIndexIndicator.qm));
        },
        set: function (a) {
            this.h(RelativeStrengthIndexIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    RelativeStrengthIndexIndicator.prototype.p6 = function () {
        return this.ql;
    };
    RelativeStrengthIndexIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    RelativeStrengthIndexIndicator.qm = StrategyBasedIndicator.qi(14, RelativeStrengthIndexIndicator.$);
    RelativeStrengthIndexIndicator.$t = markType(RelativeStrengthIndexIndicator, 'RelativeStrengthIndexIndicator', StrategyBasedIndicator.$);
    return RelativeStrengthIndexIndicator;
}(StrategyBasedIndicator));
export { RelativeStrengthIndexIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.RelativeStrengthIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.RelativeStrengthIndexIndicator" />*/
